Skip to content

Get Project

V2ProjectGetResponse v2Projects().get(V2ProjectGetParamsparams = V2ProjectGetParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/api/v2/projects/{project_id}

Get a project by ID.

ParametersExpand Collapse
V2ProjectGetParams params
Optional<String> projectId
Optional<String> organizationId
ReturnsExpand Collapse
class V2ProjectGetResponse:

API response schema for a project.

String id

The project’s unique identifier.

String name

The project’s display name.

String organizationId

The organization the project belongs to.

Optional<LocalDateTime> createdAt

Creation datetime

formatdate-time
Optional<Boolean> isDefault

Whether this project is the default project for its organization.

Optional<LocalDateTime> updatedAt

Update datetime

formatdate-time

Get Project

package ai.llamaindex.llamacloud.example;

import ai.llamaindex.llamacloud.client.LlamaCloudClient;
import ai.llamaindex.llamacloud.client.okhttp.LlamaCloudOkHttpClient;
import ai.llamaindex.llamacloud.models.v2projects.V2ProjectGetParams;
import ai.llamaindex.llamacloud.models.v2projects.V2ProjectGetResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        LlamaCloudClient client = LlamaCloudOkHttpClient.fromEnv();

        V2ProjectGetResponse v2Project = client.v2Projects().get("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
    }
}
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/